From bfee5f3ae5422e5742bb04055c220ca8e3e48663 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Thu, 15 Apr 2021 23:28:37 -0500
Subject: [PATCH 17/27] reference / matching

a4d75c86bf15220df22de0a92c819ecef9db3849
---
 src/backend/statistics/dependencies.c | 2 +-
 src/backend/utils/adt/selfuncs.c      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/statistics/dependencies.c b/src/backend/statistics/dependencies.c
index cf8a6d5f68..cfe02b0cbe 100644
--- a/src/backend/statistics/dependencies.c
+++ b/src/backend/statistics/dependencies.c
@@ -1450,7 +1450,7 @@ dependencies_clauselist_selectivity(PlannerInfo *root,
 		if (!bms_is_member(listidx, *estimatedclauses))
 		{
 			/*
-			 * If it's a simple column refrence, just extract the attnum. If
+			 * If it's a simple column reference, just extract the attnum. If
 			 * it's an expression, assign a negative attnum as if it was a
 			 * system attribute.
 			 */
diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index 0963e2701c..3d4304cce7 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -4039,7 +4039,7 @@ estimate_multivariate_ndistinct(PlannerInfo *root, RelOptInfo *rel,
 
 			/*
 			 * Process a simple Var expression, by matching it to keys
-			 * directly. If there's a matchine expression, we'll try
+			 * directly. If there's a matching expression, we'll try
 			 * matching it later.
 			 */
 			if (IsA(varinfo->var, Var))
-- 
2.17.0

